Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class RecreateClassObjectViews

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.upgrade.common.LibrarySessionUpgradeAction
                  oracle.ifs.admin.upgrade.common.RecreateClassObjectViews

All Implemented Interfaces:
  Action, IfsParameters

Direct Known Subclasses:
  RecreatePublicObjectViews

    public class RecreateClassObjectViews

extends LibrarySessionUpgradeAction

Creates or re-creates the views for one or more ClassObjects.

Field Summary

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`RecreateClassObjectViews()`

Method Summary
`void` | `execute(LibrarySession session)` Creates or re-creates the views for the ClassObject specified by the `ClassObject` property, and its subclasses.
`void` | `recreateViews(LibrarySession session, ClassObject co)` Creates or re-creates the views for the specified ClassObject, and its subclasses.

Methods inherited from class oracle.ifs.admin.upgrade.common.LibrarySessionUpgradeAction
`failed, getTimestamp, log, log, printStackTrace, stop`

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecreateClassObjectViews

    public RecreateClassObjectViews()

Method Detail

### execute

    public void execute(LibrarySession session)
                 throws IfsException,
                        ActionFailedException

  Description copied from class: `RecreateClassObjectViews`
  Creates or re-creates the views for the ClassObject specified by the `ClassObject` property, and its subclasses.

  If the `ClassObject` property is omitted, the views for all ClassObjects are created or re-created.

  Specified by:
    `execute` in class `LibrarySessionAction`
  Parameters:
    `session` - the session
  Throws:
    `ActionFailedException` - if the operation fails
    `IfsException` - if the operation fails

### recreateViews

    public void recreateViews(LibrarySession session,
                              ClassObject co)
                       throws IfsException

  Description copied from class: `RecreateClassObjectViews`
  Creates or re-creates the views for the specified ClassObject, and its subclasses.

  Parameters:
    `session` - the session
    `co` - the ClassObject, or null for all ClassObjects
  Throws:
    `IfsException` - if the script operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD